Intermittent devtools/client/webconsole/test/browser_console_navigation_marker.js | Test timed out -

RESOLVED INCOMPLETE

Status

P3
normal
RESOLVED INCOMPLETE
2 years ago
3 months ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({bulk-close-intermittents, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [stockwell unknown])

Priority: -- → P3
9 failures in 690 pushes (0.013 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 4
* try: 2
* autoland: 2
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1328521&startday=2017-01-16&endday=2017-01-22&tree=all
41 failures in 749 pushes (0.055 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 18
* autoland: 16
* try: 3
* mozilla-central: 2
* graphics: 2

Platform breakdown:
* osx-10-10: 41

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1328521&startday=2017-01-23&endday=2017-01-29&tree=all
this bug has increased in frequency around January 21.  This is all on osx 10.10 debug

from this log [0], I see this:
11:29:39     INFO - TEST-START | devtools/client/webconsole/test/browser_console_navigation_marker.js
11:29:39     INFO - ++DOCSHELL 0x14ddcc800 == 36 [pid = 1766] [id = {7d259eed-7339-d245-9a34-021d8b20b733}]
11:29:39     INFO - ++DOMWINDOW == 106 (0x14ddcd000) [pid = 1766] [serial = 347] [outer = 0x0]
11:29:39     INFO - ++DOMWINDOW == 107 (0x14dde1800) [pid = 1766] [serial = 348] [outer = 0x14ddcd000]
11:29:39     INFO - ++DOMWINDOW == 108 (0x14dd80800) [pid = 1766] [serial = 349] [outer = 0x14ddcd000]
11:29:39     INFO - ++DOCSHELL 0x14dd82800 == 37 [pid = 1766] [id = {d9fa7f7d-255a-094f-9287-d0ae616a7371}]
11:29:39     INFO - ++DOMWINDOW == 109 (0x14ecbb800) [pid = 1766] [serial = 350] [outer = 0x0]
11:29:39     INFO - ++DOMWINDOW == 110 (0x14ede0800) [pid = 1766] [serial = 351] [outer = 0x14ecbb800]
11:29:39     INFO - ++DOMWINDOW == 111 (0x14f1b4000) [pid = 1766] [serial = 352] [outer = 0x14ecbb800]
11:29:40     INFO - [1766] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x8007000E: file /builds/slave/autoland-m64-d-000000000000000/build/src/dom/xul/nsXULPrototypeCache.cpp, line 323
11:29:40     INFO - ++DOCSHELL 0x14fb22000 == 38 [pid = 1766] [id = {c0d58da8-5ff0-224c-b4ac-9e681916e94b}]
11:29:40     INFO - ++DOMWINDOW == 112 (0x14fb23000) [pid = 1766] [serial = 353] [outer = 0x0]
11:29:40     INFO - ++DOMWINDOW == 113 (0x14fb23800) [pid = 1766] [serial = 354] [outer = 0x14fb23000]
11:29:41     INFO - [1766] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/slave/autoland-m64-d-000000000000000/build/src/layout/style/Loader.cpp, line 2435
11:29:41     INFO - [1766] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/slave/autoland-m64-d-000000000000000/build/src/dom/base/nsDocument.cpp, line 4416
11:30:05     INFO - --DOCSHELL 0x1351bb800 == 37 [pid = 1766] [id = {072b02fd-d98b-494d-8fb5-61a953bcb8d6}]
11:30:05     INFO - --DOCSHELL 0x1514ee000 == 36 [pid = 1766] [id = {1ca242b0-5ab6-f34c-9510-56f043fac295}]
11:30:05     INFO - --DOCSHELL 0x14dca0800 == 35 [pid = 1766] [id = {6053b17a-8265-8c42-9a25-8b677a273e08}]
11:30:05     INFO - --DOCSHELL 0x14dcad000 == 34 [pid = 1766] [id = {e6870eb2-4291-3c4e-b6bb-6ba9bbfb67e9}]
11:30:05     INFO - --DOCSHELL 0x14bee3000 == 33 [pid = 1766] [id = {6f55fffe-d1eb-a44c-8c1f-794597e1a210}]
11:30:05     INFO - --DOCSHELL 0x13576f800 == 32 [pid = 1766] [id = {636bdd2e-a220-5f4f-96fb-4230dd3ee73b}]
11:30:05     INFO - --DOCSHELL 0x134fa2800 == 31 [pid = 1766] [id = {7377c450-c388-4443-9340-cea51c931653}]
11:30:05     INFO - --DOCSHELL 0x12909c000 == 30 [pid = 1766] [id = {05ae7228-d2cf-a745-aad6-fc1117db17ce}]
11:30:05     INFO - --DOCSHELL 0x11d361000 == 29 [pid = 1766] [id = {12b833ac-0708-1940-b228-1ab21949b686}]
11:30:05     INFO - --DOCSHELL 0x1385b7800 == 28 [pid = 1766] [id = {2cee9b2f-ad4b-4340-91bb-616ab74267be}]
11:30:05     INFO - --DOCSHELL 0x133145800 == 27 [pid = 1766] [id = {6d59875e-6334-7b41-9443-1a6068764154}]
11:30:05     INFO - --DOCSHELL 0x14145f000 == 26 [pid = 1766] [id = {9abff16d-bd5b-9949-8fd7-41572af3151d}]
11:30:05     INFO - --DOCSHELL 0x13775b800 == 25 [pid = 1766] [id = {d459756e-8062-5d41-a300-80d24c8f73d1}]
11:30:05     INFO - --DOCSHELL 0x13775f000 == 24 [pid = 1766] [id = {f7e87213-f819-e542-bf21-68d3c939f5d8}]
11:30:05     INFO - --DOCSHELL 0x1383a1800 == 23 [pid = 1766] [id = {26a26e56-c9d9-ca4e-b69a-2bfdde472e4f}]
11:30:05     INFO - --DOCSHELL 0x118518800 == 22 [pid = 1766] [id = {a112e8c2-9c81-bb43-b310-45c3ce0d4450}]
11:30:05     INFO - --DOCSHELL 0x134f76000 == 21 [pid = 1766] [id = {8d1d4a75-fd71-a041-a4be-47b2dac1fea8}]
11:30:05     INFO - --DOCSHELL 0x132b11800 == 20 [pid = 1766] [id = {68bb7335-ee37-7548-8bbf-275979289150}]
11:30:05     INFO - --DOCSHELL 0x1330bf800 == 19 [pid = 1766] [id = {daedd558-9ef2-1e44-83f7-2b266fb36b3a}]
11:30:05     INFO - --DOCSHELL 0x119acd800 == 18 [pid = 1766] [id = {4e6dcc90-42cc-384c-9eca-ddd2fbfe599c}]
11:30:05     INFO - --DOCSHELL 0x134fad000 == 17 [pid = 1766] [id = {256ae233-ade4-7445-9255-729bd29f8945}]
11:30:05     INFO - --DOCSHELL 0x118843000 == 16 [pid = 1766] [id = {e561cacf-c250-534f-881e-aeacfa676def}]
11:30:05     INFO - --DOMWINDOW == 112 (0x11ccbc000) [pid = 1766] [serial = 282] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 111 (0x141e79000) [pid = 1766] [serial = 232] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 110 (0x129866800) [pid = 1766] [serial = 238] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 109 (0x129b86800) [pid = 1766] [serial = 239] [outer = 0x0] [url = about:devtools-toolbox]
11:30:05     INFO - --DOMWINDOW == 108 (0x12d18c000) [pid = 1766] [serial = 283] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 107 (0x12c281000) [pid = 1766] [serial = 241] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 106 (0x1330ae000) [pid = 1766] [serial = 284] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 105 (0x132bae800) [pid = 1766] [serial = 257] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 104 (0x132bae000) [pid = 1766] [serial = 258] [outer = 0x0] [url = about:devtools-toolbox]
11:30:05     INFO - --DOMWINDOW == 103 (0x134f6c000) [pid = 1766] [serial = 260] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 102 (0x1330c3000) [pid = 1766] [serial = 285] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 101 (0x134f8e800) [pid = 1766] [serial = 265] [outer = 0x0] [url = about:devtools-toolbox]
11:30:05     INFO - --DOMWINDOW == 100 (0x13edc2800) [pid = 1766] [serial = 272] [outer = 0x0] [url = about:devtools-toolbox]
11:30:05     INFO - --DOMWINDOW == 99 (0x141edc000) [pid = 1766] [serial = 279] [outer = 0x0] [url = about:devtools-toolbox]
11:30:05     INFO - --DOMWINDOW == 98 (0x11bd85000) [pid = 1766] [serial = 244] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 97 (0x134f84800) [pid = 1766] [serial = 264] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 96 (0x13859b800) [pid = 1766] [serial = 267] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 95 (0x13edbb800) [pid = 1766] [serial = 271] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 94 (0x13f145000) [pid = 1766] [serial = 274] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 93 (0x141ed9800) [pid = 1766] [serial = 278] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 92 (0x14bca6000) [pid = 1766] [serial = 281] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 91 (0x118a79000) [pid = 1766] [serial = 246] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 90 (0x11bd77000) [pid = 1766] [serial = 248] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 89 (0x132b91800) [pid = 1766] [serial = 255] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 88 (0x134f52800) [pid = 1766] [serial = 262] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 87 (0x13a5e0800) [pid = 1766] [serial = 269] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 86 (0x141ec8800) [pid = 1766] [serial = 276] [outer = 0x0] [url = about:blank]
11:30:05     INFO - --DOMWINDOW == 85 (0x13711f000) [pid = 1766] [serial = 290] [outer = 0x0] [url = about:blank]
11:30:05     INFO - WebConsolePanel open failed. timeout: Connection timeout. Check the Error Console on both ends for potential error messages. Reopen the Web Console to try again.
11:30:05     INFO - console.error:
11:30:05     INFO -   WebConsolePanel open failed. timeout: Connection timeout. Check the Error Console on both ends for potential error messages. Reopen the Web Console to try again.
11:30:05     INFO - *************************
11:30:05     INFO - A coding exception was thrown in a Promise resolution callback.
11:30:05     INFO - See https://developer.mozilla.org/Mozilla/JavaScript_code_modules/Promise.jsm/Promise
11:30:05     INFO - Full message: TypeError: panel is undefined
11:30:05     INFO - Full stack: onLoad/<@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/framework/toolbox.js:1460:13
11:30:05     INFO - process@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:917:23
11:30:05     INFO - walkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:801:7
11:30:05     INFO - Promise*scheduleWalkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:734:11
11:30:05     INFO - schedulePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:765:7
11:30:05     INFO - completePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:702:7
11:30:05     INFO - _connectionTimeout@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/webconsole/webconsole-connection-proxy.js:179:5
11:30:05     INFO - *************************
11:30:07     INFO - --DOCSHELL 0x1328e0800 == 15 [pid = 1766] [id = {69a9fb57-541a-6a4a-9c0b-5e6987648825}]
11:30:07     INFO - --DOCSHELL 0x13870b000 == 14 [pid = 1766] [id = {1289ef96-4368-084d-84e8-23b8335ee1b3}]
11:30:07     INFO - --DOCSHELL 0x117634000 == 13 [pid = 1766] [id = {9b1010e8-e033-4442-bd56-fa0fb7813dc7}]
11:30:07     INFO - --DOCSHELL 0x1328cf000 == 12 [pid = 1766] [id = {598aec95-6c07-6f4d-bd55-bcf619ca12ab}]
11:30:07     INFO - --DOCSHELL 0x14ddd1800 == 11 [pid = 1766] [id = {6d2e948b-978c-d14f-8a99-9b6d4f5d4042}]
11:30:07     INFO - --DOCSHELL 0x14dd97000 == 10 [pid = 1766] [id = {5c8a741a-9988-9141-8f0a-ecacabcad88a}]
11:30:11     INFO - TEST-INFO | started process screencapture
11:30:11     INFO - TEST-INFO | screencapture: exit 0
11:30:11     INFO - Buffered messages logged at 11:29:39
11:30:11     INFO - Entering test bound 
11:30:11     INFO - Buffered messages finished
11:30:11     INFO - TEST-UNEXPECTED-FAIL | devtools/client/webconsole/test/browser_console_navigation_marker.js | A promise chain failed to handle a rejection:  - at resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/framework/toolbox.js:1460 - TypeError: panel is undefined
11:30:11     INFO - Stack trace:
11:30:11     INFO - onLoad/<@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/framework/toolbox.js:1460:13
11:30:11     INFO - process@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:917:23
11:30:11     INFO - walkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:801:7
11:30:11     INFO - Promise*scheduleWalkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:734:11
11:30:11     INFO - schedulePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:765:7
11:30:11     INFO - completePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:702:7
11:30:11     INFO - _connectionTimeout@resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/webconsole/webconsole-connection-proxy.js:179:5
11:30:11     INFO - console.error:
11:30:11     INFO -   Web Console getCachedMessages error: invalid state.
11:30:16     INFO - --DOMWINDOW == 84 (0x14dca4800) [pid = 1766] [serial = 321] [outer = 0x0] [url = data:text/html;charset=utf8,test%20for%20bug%20676722%20-%20inspectable%20objects%20for%20window.console]
11:30:16     INFO - --DOMWINDOW == 83 (0x14bee3800) [pid = 1766] [serial = 319] [outer = 0x0] [url = about:blank]
11:30:16     INFO - --DOMWINDOW == 82 (0x14dd97800) [pid = 1766] [serial = 331] [outer = 0x0] [url = about:blank]
11:30:16     INFO - --DOMWINDOW == 81 (0x13870c800) [pid = 1766] [serial = 342] [outer = 0x0] [url = chrome://devtools/content/shared/widgets/VariablesView.xul]
11:30:16     INFO - --DOMWINDOW == 80 (0x13717c800) [pid = 1766] [serial = 300] [outer = 0x0] [url = http://example.com/browser/devtools/client/webconsole/test/test-iframe1.html]
11:30:16     INFO - --DOMWINDOW == 79 (0x14dd7a800) [pid = 1766] [serial = 323] [outer = 0x0] [url = about:blank]
11:30:16     INFO - --DOMWINDOW == 78 (0x13775c800) [pid = 1766] [serial = 292] [outer = 0x0] [url = http://example.com/browser/devtools/client/webconsole/test/test-iframe1.html]
11:30:16     INFO - --DOMWINDOW == 77 (0x1383a2000) [pid = 1766] [serial = 294] [outer = 0x0] [url = http://example.com/browser/devtools/client/webconsole/test/test-iframe3.html]
11:30:16     INFO - --DOMWINDOW == 76 (0x11bdc3000) [pid = 1766] [serial = 249] [outer = 0x0] [url = about:blank]
11:30:16     INFO - --DOMWINDOW == 75 (0x1385b0800) [pid = 1766] [serial = 298] [outer = 0x0] [url = about:blank]
11:30:16     INFO - --DOMWINDOW == 74 (0x11903f000) [pid = 1766] [serial = 306] [outer = 0x0] [url = chrome://devtools/content/webconsole/webconsole.xul]
11:30:16     INFO - --DOMWINDOW == 73 (0x1328d0800) [pid = 1766] [serial = 335] [outer = 0x0] [url = about:blank]
11:30:16     INFO - --DOMWINDOW == 72 (0x135eb1800) [pid = 1766] [serial = 313] [outer = 0x0] [url = about:blank]
11:30:16     INFO - --DOMWINDOW == 71 (0x14ddd2000) [pid = 1766] [serial = 333] [outer = 0x0] [url = data:text/html;charset=utf8,<title>bug870220</title><p>hello%20world<p>native%20getters!]
11:30:16     INFO - --DOMWINDOW == 70 (0x14dd8e000) [pid = 1766] [serial = 328] [outer = 0x0] [url = chrome://devtools/content/shared/widgets/VariablesView.xul]
11:30:16     INFO - --DOMWINDOW == 69 (0x134fad800) [pid = 1766] [serial = 289] [outer = 0x0] [url = http://example.com/browser/devtools/client/webconsole/test/test-consoleiframes.html]
11:30:16     INFO - --DOMWINDOW == 68 (0x1383a1000) [pid = 1766] [serial = 293] [outer = 0x0] [url = http://example.com/browser/devtools/client/webconsole/test/test-iframe2.html]
11:30:16     INFO - --DOMWINDOW == 67 (0x1351b8000) [pid = 1766] [serial = 340] [outer = 0x0] [url = chrome://devtools/content/shared/widgets/VariablesView.xul]
11:30:16     INFO - --DOMWINDOW == 66 (0x134f77000) [pid = 1766] [serial = 310] [outer = 0x0] [url = http://example.com/browser/devtools/client/webconsole/test/test-console.html]
11:30:16     INFO - --DOMWINDOW == 65 (0x1330c4800) [pid = 1766] [serial = 308] [outer = 0x0] [url = about:blank]
11:30:16     INFO - --DOMWINDOW == 64 (0x132b13000) [pid = 1766] [serial = 287] [outer = 0x0] [url = about:blank]
11:30:16     INFO - --DOMWINDOW == 63 (0x135bad800) [pid = 1766] [serial = 316] [outer = 0x0] [url = chrome://devtools/content/webconsole/webconsole.xul]
11:30:16     INFO - --DOMWINDOW == 62 (0x127ede800) [pid = 1766] [serial = 252] [outer = 0x0] [url = chrome://devtools/content/webconsole/webconsole.xul]
11:30:16     INFO - --DOMWINDOW == 61 (0x141ed2800) [pid = 1766] [serial = 303] [outer = 0x0] [url = chrome://devtools/content/webconsole/webconsole.xul]
11:30:16     INFO - --DOMWINDOW == 60 (0x1514ee800) [pid = 1766] [serial = 326] [outer = 0x0] [url = chrome://devtools/content/webconsole/webconsole.xul]
11:30:16     INFO - --DOMWINDOW == 59 (0x1351b8800) [pid = 1766] [serial = 338] [outer = 0x0] [url = chrome://devtools/content/webconsole/webconsole.xul]
11:30:21     INFO - --DOMWINDOW == 58 (0x134f7f800) [pid = 1766] [serial = 288] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 57 (0x1383ba800) [pid = 1766] [serial = 301] [outer = 0x0] [url = http://example.com/browser/devtools/client/webconsole/test/test-iframe1.html]
11:30:21     INFO - --DOMWINDOW == 56 (0x1383bd000) [pid = 1766] [serial = 297] [outer = 0x0] [url = http://example.com/browser/devtools/client/webconsole/test/test-iframe3.html]
11:30:21     INFO - --DOMWINDOW == 55 (0x1383b5800) [pid = 1766] [serial = 296] [outer = 0x0] [url = http://example.com/browser/devtools/client/webconsole/test/test-iframe2.html]
11:30:21     INFO - --DOMWINDOW == 54 (0x11d63d800) [pid = 1766] [serial = 295] [outer = 0x0] [url = http://example.com/browser/devtools/client/webconsole/test/test-iframe1.html]
11:30:21     INFO - --DOMWINDOW == 53 (0x137189000) [pid = 1766] [serial = 291] [outer = 0x0] [url = http://example.com/browser/devtools/client/webconsole/test/test-consoleiframes.html]
11:30:21     INFO - --DOMWINDOW == 52 (0x13314a800) [pid = 1766] [serial = 309] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 51 (0x12eadc800) [pid = 1766] [serial = 312] [outer = 0x0] [url = http://example.com/browser/devtools/client/webconsole/test/test-console.html]
11:30:21     INFO - --DOMWINDOW == 50 (0x134f98800) [pid = 1766] [serial = 311] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 49 (0x14beee800) [pid = 1766] [serial = 320] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 48 (0x14dcb9800) [pid = 1766] [serial = 322] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 47 (0x14ddc5800) [pid = 1766] [serial = 332] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 46 (0x14ddd9000) [pid = 1766] [serial = 334] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 45 (0x118308000) [pid = 1766] [serial = 286] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 44 (0x1385b2000) [pid = 1766] [serial = 299] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 43 (0x138718000) [pid = 1766] [serial = 305] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 42 (0x14ff29800) [pid = 1766] [serial = 329] [outer = 0x0] [url = chrome://devtools/content/shared/widgets/VariablesView.xul]
11:30:21     INFO - --DOMWINDOW == 41 (0x11bdc4000) [pid = 1766] [serial = 250] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 40 (0x138715000) [pid = 1766] [serial = 302] [outer = 0x0] [url = about:devtools-toolbox]
11:30:21     INFO - --DOMWINDOW == 39 (0x11cc1f800) [pid = 1766] [serial = 251] [outer = 0x0] [url = about:devtools-toolbox]
11:30:21     INFO - --DOMWINDOW == 38 (0x138719000) [pid = 1766] [serial = 343] [outer = 0x0] [url = chrome://devtools/content/shared/widgets/VariablesView.xul]
11:30:21     INFO - --DOMWINDOW == 37 (0x136370800) [pid = 1766] [serial = 318] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 36 (0x14dd7c800) [pid = 1766] [serial = 324] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 35 (0x14dd84000) [pid = 1766] [serial = 325] [outer = 0x0] [url = about:devtools-toolbox]
11:30:21     INFO - --DOMWINDOW == 34 (0x1514f0800) [pid = 1766] [serial = 327] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 33 (0x14ff33000) [pid = 1766] [serial = 330] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 32 (0x1328d1800) [pid = 1766] [serial = 336] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 31 (0x1328da000) [pid = 1766] [serial = 337] [outer = 0x0] [url = about:devtools-toolbox]
11:30:21     INFO - --DOMWINDOW == 30 (0x151c6e800) [pid = 1766] [serial = 339] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 29 (0x135ebe000) [pid = 1766] [serial = 314] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 28 (0x135bc4800) [pid = 1766] [serial = 315] [outer = 0x0] [url = about:devtools-toolbox]
11:30:21     INFO - --DOMWINDOW == 27 (0x135bca000) [pid = 1766] [serial = 317] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 26 (0x138737800) [pid = 1766] [serial = 344] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 25 (0x119041800) [pid = 1766] [serial = 307] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 24 (0x14dde1800) [pid = 1766] [serial = 348] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 23 (0x149c37000) [pid = 1766] [serial = 341] [outer = 0x0] [url = chrome://devtools/content/shared/widgets/VariablesView.xul]
11:30:21     INFO - --DOMWINDOW == 22 (0x141ed8800) [pid = 1766] [serial = 304] [outer = 0x0] [url = about:blank]
11:30:21     INFO - --DOMWINDOW == 21 (0x127ef2000) [pid = 1766] [serial = 253] [outer = 0x0] [url = about:blank]
11:31:09     INFO - Not taking screenshot here: see the one that was previously logged
11:31:09     INFO - TEST-UNEXPECTED-FAIL | devtools/client/webconsole/test/browser_console_navigation_marker.js | Test timed out - 
11:32:32     INFO - Console message: [JavaScript Error: "1485804752171	Browser.Experiments.Experiments	ERROR	Experiments #0::httpGetRequest::onLoad() - Request to http://127.0.0.1:8888/experiments-dummy/manifest returned status 404" {file: "resource://gre/modules/Log.jsm" line: 748}]
11:32:32     INFO - App_append@resource://gre/modules/Log.jsm:748:9
11:32:32     INFO - log@resource://gre/modules/Log.jsm:386:7
11:32:32     INFO - getLoggerWithMessagePrefix/proxy.log@resource://gre/modules/Log.jsm:501:44
11:32:32     INFO - Experiments.Experiments/this._log.log@resource://app/modules/experiments/Experiments.jsm:322:5
11:32:32     INFO - error@resource://gre/modules/Log.jsm:394:5
11:32:32     INFO - _httpGetRequest/xhr.onload@resource://app/modules/experiments/Experiments.jsm:953:9
11:32:32     INFO - EventHandlerNonNull*_httpGetRequest@resource://app/modules/experiments/Experiments.jsm:951:5
11:32:32     INFO - _loadManifest@resource://app/modules/experiments/Experiments.jsm:815:32
11:32:32     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:319:42
11:32:32     INFO - TaskImpl@resource://gre/modules/Task.jsm:277:3
11:32:32     INFO - asyncFunction@resource://gre/modules/Task.jsm:252:14
11:32:32     INFO - Task_spawn@resource://gre/modules/Task.jsm:166:12
11:32:32     INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:389:16
11:32:32     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
11:32:32     INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:401:7
11:32:32     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
11:32:32     INFO - TaskImpl@resource://gre/modules/Task.jsm:277:3
11:32:32     INFO - asyncFunction@resource://gre/modules/Task.jsm:252:14
11:32:32     INFO - Task_spawn@resource://gre/modules/Task.jsm:166:12
11:32:32     INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:389:16
11:32:32     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
11:32:32     INFO - TaskImpl@resource://gre/modules/Task.jsm:277:3
11:32:32     INFO - asyncFunction@resource://gre/modules/Task.jsm:252:14
11:32:32     INFO - Task_spawn@resource://gre/modules/Task.jsm:166:12
11:32:32     INFO - _run@resource://app/modules/experiments/Experiments.jsm:760:24
11:32:32     INFO - updateManifest@resource://app/modules/experiments/Experiments.jsm:848:12
11:32:32     INFO - notify@resource://app/components/ExperimentsService.js:66:7
11:32:32     INFO - TM_notify/<@resource://gre/components/nsUpdateTimerManager.js:218:11
11:32:32     INFO - TM_notify@resource://gre/components/nsUpdateTimerManager.js:263:7
11:32:32     INFO - 
11:32:32     INFO - Console message: [JavaScript Error: "1485804752172	Browser.Experiments.Experiments	ERROR	Experiments #0::_loadManifest - failure to fetch/parse manifest (continuing anyway): Error: Experiments - XHR status for http://127.0.0.1:8888/experiments-dummy/manifest is 404" {file: "resource://gre/modules/Log.jsm" line: 748}]
11:32:32     INFO - App_append@resource://gre/modules/Log.jsm:748:9
11:32:32     INFO - log@resource://gre/modules/Log.jsm:386:7
11:32:32     INFO - getLoggerWithMessagePrefix/proxy.log@resource://gre/modules/Log.jsm:501:44
11:32:32     INFO - Experiments.Experiments/this._log.log@resource://app/modules/experiments/Experiments.jsm:322:5
11:32:32     INFO - error@resource://gre/modules/Log.jsm:394:5
11:32:32     INFO - _loadManifest@resource://app/modules/experiments/Experiments.jsm:825:7
11:32:32     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:320:42
11:32:32     INFO - process@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:920:21
11:32:32     INFO - walkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:801:7
11:32:32     INFO - Promise*scheduleWalkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:734:11
11:32:32     INFO - schedulePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:765:7
11:32:32     INFO - completePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:702:7
11:32:32     INFO - _httpGetRequest/xhr.onload@resource://app/modules/experiments/Experiments.jsm:954:9
11:32:32     INFO - EventHandlerNonNull*_httpGetRequest@resource://app/modules/experiments/Experiments.jsm:951:5
11:32:32     INFO - _loadManifest@resource://app/modules/experiments/Experiments.jsm:815:32
11:32:32     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:319:42
11:32:32     INFO - TaskImpl@resource://gre/modules/Task.jsm:277:3
11:32:32     INFO - asyncFunction@resource://gre/modules/Task.jsm:252:14
11:32:32     INFO - Task_spawn@resource://gre/modules/Task.jsm:166:12
11:32:32     INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:389:16
11:32:32     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
11:32:32     INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:401:7
11:32:32     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
11:32:32     INFO - TaskImpl@resource://gre/modules/Task.jsm:277:3
11:32:32     INFO - asyncFunction@resource://gre/modules/Task.jsm:252:14
11:32:32     INFO - Task_spawn@resource://gre/modules/Task.jsm:166:12
11:32:32     INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:389:16
11:32:32     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
11:32:32     INFO - TaskImpl@resource://gre/modules/Task.jsm:277:3
11:32:32     INFO - asyncFunction@resource://gre/modules/Task.jsm:252:14
11:32:32     INFO - Task_spawn@resource://gre/modules/Task.jsm:166:12
11:32:32     INFO - _run@resource://app/modules/experiments/Experiments.jsm:760:24
11:32:32     INFO - updateManifest@resource://app/modules/experiments/Experiments.jsm:848:12
11:32:32     INFO - notify@resource://app/components/ExperimentsService.js:66:7
11:32:32     INFO - TM_notify/<@resource://gre/components/nsUpdateTimerManager.js:218:11
11:32:32     INFO - TM_notify@resource://gre/components/nsUpdateTimerManager.js:263:7
11:32:32     INFO - 
11:38:02     INFO - Buffered messages finished
11:38:02     INFO - TEST-UNEXPECTED-TIMEOUT | devtools/client/webconsole/test/browser_console_navigation_marker.js | application timed out after 330 seconds with no output
11:38:02    ERROR - Force-terminating active process(es).
11:38:02     INFO - Determining child pids from psutil
11:38:02     INFO - Found child pids: []
11:38:02     INFO - Killing process: 1766
11:38:02     INFO - Not taking screenshot here: see the one that was previously logged
11:38:02     INFO - TEST-INFO | Main app process: exit 5
11:38:02    ERROR - TEST-UNEXPECTED-FAIL | ShutdownLeaks | process() called before end of test suite
11:38:02     INFO - Buffered messages finished
11:38:02    ERROR - TEST-UNEXPECTED-FAIL | devtools/client/webconsole/test/browser_console_navigation_marker.js | application terminated with exit code 5
11:38:02     INFO - runtests.py | Application ran for: 0:12:07.985550
11:38:02     INFO - zombiecheck | Reading PID log: /var/folders/8l/2lld364j46g___08n54mb94h00000w/T/tmpZC_BmVpidlog
11:38:02     INFO - mozcrash Copy/paste: /builds/slave/test/build/macosx64-minidump_stackwalk /var/folders/8l/2lld364j46g___08n54mb94h00000w/T/tmpNWjzUv.mozrunner/minidumps/47118D82-14F9-446B-B9AB-1F39EF2EEB4E.dmp /builds/slave/test/build/symbols
11:38:15     INFO - mozcrash Saved minidump as /builds/slave/test/build/blobber_upload_dir/47118D82-14F9-446B-B9AB-1F39EF2EEB4E.dmp
11:38:15     INFO - mozcrash Saved app info as /builds/slave/test/build/blobber_upload_dir/47118D82-14F9-446B-B9AB-1F39EF2EEB4E.extra
11:38:16     INFO - PROCESS-CRASH | devtools/client/webconsole/test/browser_console_navigation_marker.js | application crashed [@ mach_msg_trap + 0xa]
11:38:16     INFO - Crash dump filename: /var/folders/8l/2lld364j46g___08n54mb94h00000w/T/tmpNWjzUv.mozrunner/minidumps/47118D82-14F9-446B-B9AB-1F39EF2EEB4E.dmp
11:38:16     INFO - Operating system: Mac OS X
11:38:16     INFO -                   10.10.5 14F27
11:38:16     INFO - CPU: amd64
11:38:16     INFO -      family 6 model 69 stepping 1
11:38:16     INFO -      4 CPUs
11:38:16     INFO - 
11:38:16     INFO - GPU: UNKNOWN
11:38:16     INFO - 
11:38:16     INFO - Crash reason:  EXC_SOFTWARE / SIGABRT
11:38:16     INFO - Crash address: 0x7fff965ab4de
11:38:16     INFO - Process uptime: 728 seconds
11:38:16     INFO - 
11:38:16     INFO - Thread 0 (crashed)
11:38:16     INFO -  0  libsystem_kernel.dylib!mach_msg_trap + 0xa
11:38:16     INFO -     rax = 0x0000000010004005   rdx = 0x0000000000000000
11:38:16     INFO -     rcx = 0x00007fff580ea3b8   rbx = 0x00000000ffffffff
11:38:16     INFO -     rsi = 0x0000000007000806   rdi = 0x00007fff580ea520
11:38:16     INFO -     rbp = 0x00007fff580ea400   rsp = 0x00007fff580ea3b8
11:38:16     INFO -      r8 = 0x0000000000002403    r9 = 0x00000000ffffffff
11:38:16     INFO -     r10 = 0x0000000000000c00   r11 = 0x0000000000000206
11:38:16     INFO -     r12 = 0x0000000000000c00   r13 = 0x0000000000000000
11:38:16     INFO -     r14 = 0x00007fff580ea520   r15 = 0x0000000000002403
11:38:16     INFO -     rip = 0x00007fff965ab4de
11:38:16     INFO -     Found by: given as instruction pointer in context
11:38:16     INFO -  1  CoreFoundation!__CFRunLoopServiceMachPort + 0xd4
11:38:16     INFO -     rbp = 0x00007fff580ea470   rsp = 0x00007fff580ea410
11:38:16     INFO -     rip = 0x00007fff8c28feb4
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO -  2  CoreFoundation!__CFRunLoopRun + 0x55b
11:38:16     INFO -     rbp = 0x00007fff580eb150   rsp = 0x00007fff580ea480
11:38:16     INFO -     rip = 0x00007fff8c28f37b
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO -  3  CoreFoundation!CFRunLoopRunSpecific + 0x128
11:38:16     INFO -     rbp = 0x00007fff580eb1b0   rsp = 0x00007fff580eb160
11:38:16     INFO -     rip = 0x00007fff8c28ebd8
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO -  4  HIToolbox!RunCurrentEventLoopInMode + 0xeb
11:38:16     INFO -     rbp = 0x00007fff580eb1f0   rsp = 0x00007fff580eb1c0
11:38:16     INFO -     rip = 0x00007fff8ca2a56f
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO -  5  HIToolbox!ReceiveNextEventCommon + 0x1af
11:38:16     INFO -     rbp = 0x00007fff580eb270   rsp = 0x00007fff580eb200
11:38:16     INFO -     rip = 0x00007fff8ca2a2ea
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO -  6  HIToolbox!_BlockUntilNextEventMatchingListInModeWithFilter + 0x47
11:38:16     INFO -     rbp = 0x00007fff580eb290   rsp = 0x00007fff580eb280
11:38:16     INFO -     rip = 0x00007fff8ca2a12b
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO -  7  AppKit!_DPSNextEvent + 0x3d2
11:38:16     INFO -     rbp = 0x00007fff580eb700   rsp = 0x00007fff580eb2a0
11:38:16     INFO -     rip = 0x00007fff956728ab
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO -  8  AppKit!-[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 0x15a
11:38:16     INFO -     rbp = 0x00007fff580eb9a0   rsp = 0x00007fff580eb710
11:38:16     INFO -     rip = 0x00007fff95671e58
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO -  9  XUL!-[GeckoNSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] [nsAppShell.mm:6362295af5c6 : 128 + 0x2c]
11:38:16     INFO -     rbp = 0x00007fff580eb9f0   rsp = 0x00007fff580eb9b0
11:38:16     INFO -     rip = 0x000000010ac43286
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO - 10  AppKit!-[NSApplication run] + 0x252
11:38:16     INFO -     rbx = 0x000000012a08a420   rbp = 0x00007fff580eba70
11:38:16     INFO -     rsp = 0x00007fff580eba00   r12 = 0x0000000000000000
11:38:16     INFO -     r13 = 0x0000000126e0a4c0   r14 = 0x0000000126e0a4c0
11:38:16     INFO -     r15 = 0x00007f9174802201   rip = 0x00007fff95667af3
11:38:16     INFO -     Found by: call frame info
11:38:16     INFO - 11  XUL!nsAppShell::Run() [nsAppShell.mm:6362295af5c6 : 666 + 0x17]
11:38:16     INFO -     rbp = 0x00007fff580ebac0   rsp = 0x00007fff580eba80
11:38:16     INFO -     rip = 0x000000010ac44605
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO - 12  XUL!nsAppStartup::Run() [nsAppStartup.cpp:6362295af5c6 : 283 + 0x6]
11:38:16     INFO -     rbx = 0x0000000116bbdbf0   rbp = 0x00007fff580ebae0
11:38:16     INFO -     rsp = 0x00007fff580ebad0   r14 = 0x00007fff580ebfd9
11:38:16     INFO -     r15 = 0x00007fff580ebb30   rip = 0x000000010b83ce51
11:38:16     INFO -     Found by: call frame info
11:38:16     INFO - 13  XUL!XREMain::XRE_mainRun() [nsAppRunner.cpp:6362295af5c6 : 4461 + 0x6]
11:38:16     INFO -     rbx = 0x00007fff580ebb20   rbp = 0x00007fff580ebdb0
11:38:16     INFO -     rsp = 0x00007fff580ebaf0   r14 = 0x00007fff580ebfd9
11:38:16     INFO -     r15 = 0x00007fff580ebb30   rip = 0x000000010b8e807f
11:38:16     INFO -     Found by: call frame info
11:38:16     INFO - 14  XUL!XREMain::XRE_main(int, char**, mozilla::BootstrapConfig const&) [nsAppRunner.cpp:6362295af5c6 : 4638 + 0x8]
11:38:16     INFO -     rbx = 0x0000000000000001   rbp = 0x00007fff580ebe60
11:38:16     INFO -     rsp = 0x00007fff580ebdc0   r12 = 0x0000000107d13940
11:38:16     INFO -     r13 = 0x00007fff580ebe70   r14 = 0x00007fff580ebdd8
11:38:16     INFO -     r15 = 0x000000010820ec20   rip = 0x000000010b8e8fd8
11:38:16     INFO -     Found by: call frame info
11:38:16     INFO - 15  XUL!XRE_main(int, char**, mozilla::BootstrapConfig const&) [nsAppRunner.cpp:6362295af5c6 : 4729 + 0x11]
11:38:16     INFO -     rbx = 0x00007fff580ebf98   rbp = 0x00007fff580ec010
11:38:16     INFO -     rsp = 0x00007fff580ebe70   r12 = 0x0000000000000005
11:38:16     INFO -     r13 = 0x00007fff580ebe70   r14 = 0x00007fff580ec030
11:38:16     INFO -     r15 = 0x00007fff580ec480   rip = 0x000000010b8e9559
11:38:16     INFO -     Found by: call frame info
11:38:16     INFO - 16  firefox!main [nsBrowserApp.cpp:6362295af5c6 : 234 + 0x13]
11:38:16     INFO -     rbx = 0x0000000000000000   rbp = 0x00007fff580ec460
11:38:16     INFO -     rsp = 0x00007fff580ec020   r12 = 0x00007fff580ec480
11:38:16     INFO -     r13 = 0x0000007b917d28c9   r14 = 0x0000000000000005
11:38:16     INFO -     r15 = 0x00007fff580ec4b0   rip = 0x0000000107b13e68
11:38:16     INFO -     Found by: call frame info
11:38:16     INFO - 17  firefox!start + 0x34
11:38:16     INFO -     rbx = 0x0000000000000000   rbp = 0x00007fff580ec470
11:38:16     INFO -     rsp = 0x00007fff580ec470   r12 = 0x0000000000000000
11:38:16     INFO -     r13 = 0x0000000000000000   r14 = 0x0000000000000000
11:38:16     INFO -     r15 = 0x0000000000000000   rip = 0x0000000107b13a94
11:38:16     INFO -     Found by: call frame info
11:38:16     INFO - 
11:38:16     INFO - Thread 1
11:38:16     INFO -  0  libsystem_kernel.dylib!kevent64 + 0xa
11:38:16     INFO -     rax = 0x0000000002000171   rdx = 0x0000000000000001
11:38:16     INFO -     rcx = 0x0000000107bba5b8   rbx = 0x0000000000000000
11:38:16     INFO -     rsi = 0x00007fff7b8f1730   rdi = 0x0000000000000010
11:38:16     INFO -     rbp = 0x0000000107bba640   rsp = 0x0000000107bba5b8
11:38:16     INFO -      r8 = 0x0000000000000001    r9 = 0x0000000000000000
11:38:16     INFO -     r10 = 0x0000000107bba5d0   r11 = 0x0000000000000246
11:38:16     INFO -     r12 = 0x00007fff9230f258   r13 = 0x00007fff7b8f0ec0
11:38:16     INFO -     r14 = 0x0000000107bba5d0   r15 = 0x0000000107bba600
11:38:16     INFO -     rip = 0x00007fff965b1232
11:38:16     INFO -     Found by: given as instruction pointer in context
11:38:16     INFO -  1  libdispatch.dylib!_dispatch_mgr_thread + 0x34
11:38:16     INFO -     rbp = 0x0000000107bbae50   rsp = 0x0000000107bba650
11:38:16     INFO -     rip = 0x00007fff922efa6a
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO - 
11:38:16     INFO - Thread 2
11:38:16     INFO -  0  libsystem_kernel.dylib!mach_msg_trap + 0xa
11:38:16     INFO -     rax = 0x000000000100001f   rdx = 0x0000000000000000
11:38:16     INFO -     rcx = 0x00000001108d5bd8   rbx = 0x0000000000000000
11:38:16     INFO -     rsi = 0x0000000000000006   rdi = 0x00000001108d5c70
11:38:16     INFO -     rbp = 0x00000001108d5c20   rsp = 0x00000001108d5bd8
11:38:16     INFO -      r8 = 0x0000000000002b03    r9 = 0x0000000000000000
11:38:16     INFO -     r10 = 0x000000000000024c   r11 = 0x0000000000000206
11:38:16     INFO -     r12 = 0x000000000000024c   r13 = 0x0000000000000000
11:38:16     INFO -     r14 = 0x00000001108d5c70   r15 = 0x0000000000002b03
11:38:16     INFO -     rip = 0x00007fff965ab4de
11:38:16     INFO -     Found by: given as instruction pointer in context
11:38:16     INFO -  1  XUL!google_breakpad::ExceptionHandler::WaitForMessage(void*) [exception_handler.cc:6362295af5c6 : 487 + 0x8]
11:38:16     INFO -     rbp = 0x00000001108d5ef0   rsp = 0x00000001108d5c30
11:38:16     INFO -     rip = 0x000000010b90d5c8
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO -  2  libsystem_pthread.dylib!_pthread_body + 0x83
11:38:16     INFO -     rbx = 0x00000001108d6000   rbp = 0x00000001108d5f10
11:38:16     INFO -     rsp = 0x00000001108d5f00   r12 = 0x0000000000002c03
11:38:16     INFO -     r13 = 0x00000000000008ff   r14 = 0x0000000107d23500
11:38:16     INFO -     r15 = 0x000000010b90d520   rip = 0x00007fff923dd05a
11:38:16     INFO -     Found by: call frame info
11:38:16     INFO -  3  libsystem_pthread.dylib!_pthread_start + 0xb0
11:38:16     INFO -     rbp = 0x00000001108d5f50   rsp = 0x00000001108d5f20
11:38:16     INFO -     rip = 0x00007fff923dcfd7
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO -  4  libsystem_pthread.dylib!thread_start + 0xd
11:38:16     INFO -     rbp = 0x00000001108d5f78   rsp = 0x00000001108d5f60
11:38:16     INFO -     rip = 0x00007fff923da3ed
11:38:16     INFO -     Found by: previous frame's frame pointer
11:38:16     INFO -  5  XUL!google_breakpad::ExceptionHandler::WriteMinidumpWithException(int, int, int, __darwin_ucontext*, unsigned int, bool, bool) [scoped_ptr.h:6362295af5c6 : 119 + 0x1f]
11:38:16     INFO -     rsp = 0x00000001108d6030   rip = 0x000000010b90d520
11:38:16     INFO -     Found by: stack scanning
11:38:16     INFO - 


and much more in the stack trace.  The screenshot shows a timeout in the webconsole that corresponds with the log message:
http://mozilla-releng-blobs.s3.amazonaws.com/blobs/autoland/sha512/24cbfc6dfd554362839857425bd25dba87873bcd0855bf3cf3095c1cc4a8b9d0dc27ba65fb91f1169cbcd2e779537f800c7e924ffd258bdd7b76aa0774a76525

as :bgrins is out for a couple months, :pbro, can you find someone to look at this and determine how to fix it or if we can disable it on osx 10.10 debug.  I don't see any indication that this test should be timing out, typically it runs between 10-15 seconds with a max of 33.




[0] https://archive.mozilla.org/pub/firefox/tinderbox-builds/autoland-macosx64-debug/1485798643/autoland_yosemite_r7-debug_test-mochitest-devtools-chrome-4-bm107-tests1-macosx-build2.txt.gz
Flags: needinfo?(pbrosset)
5 failures in 733 pushes (0.007 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 2
* try: 1
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1328521&startday=2017-01-30&endday=2017-02-05&tree=all
Sorry for the delay getting back to you on this Joel. In the absence of bgrins, we don't have anyone actively looking at the console unfortunately.

The test doesn't seem to timeout as a result of it running too long. Instead, the console panel itself has some kind of timeout logic when it tries to connect to the DebuggerServer.
Pref devtools.debugger.remote-timeout is used for this, and its default value is 20 sec. So if, for some reasons, it takes longer than 20 sec for the console panel to connect to its backend, then the test will fail.
You're saying the tests sometimes takes as long as 33 seconds to run, so that could explain the problem.

What's weird is that something like this would affect *all* webconsole tests, not just this one.

Also, not sure if this is just a one off thing, but the last report from OrangeFactor Robot says the test has been failing way less often this past week.

Ryan: sorry to drop this on you, but would you mind taking a closer look at this than I can?
Flags: needinfo?(pbrosset) → needinfo?(jryans)
I'll add it to my queue!  This one seems fairly low frequency lately, so it might take a bit before I get to it.
Assignee: nobody → jryans
Status: NEW → ASSIGNED
Flags: needinfo?(jryans)
This issue no longer appears to reproduce, removing from my queue for now.

https://treeherder.mozilla.org/#/jobs?repo=try&revision=ee28ced40ffbc2fa8ca1fb1d2079823dffd02670
Assignee: jryans → nobody
Status: ASSIGNED → NEW
Whiteboard: [stockwell unknown]
Status: NEW → RESOLVED
Last Resolved: a year ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE

Updated

3 months ago
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.